Name:           compiz-fusion-plugins-unsupported
Version:        0.5.2
Release:        0.2%{?dist}
Summary:        Collection of Compiz Fusion plugins for Compiz - Unsupported plugins

Group:          User Interface/Desktops
License:        GPL
URL:            http://www.opencompositing.org

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# libdrm is not available on these arches
ExcludeArch:    s390 s390x ppc64
BuildRequires:  compiz-devel = %{version}, compiz-bcop = %{version} , compiz-fusion-plugins-main-devel = %{version} , cairo-devel , pango-devel >= 1.0, perl(XML::Parser), intltool, gettext
Requires:       compiz = %{version}, compiz-fusion-plugins-main = %{version}

%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package of plugins provides some extra plugins

This package contains older plugins which are no longer supported

%prep
%setup -q


%build
%configure 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.a" -o -name "*.la" | xargs rm -f

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang

%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README VERSION
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/snowflake.png

%changelog
* Sun Sep 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue Aug 14 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.1
- 0.5.2 release

